# FoundationClasses
TKernel
NCollection

# NCollection_Map< TheKeyType >::MapNode Class Reference

Adaptation of the TListNode to the map notations.

`#include <NCollection_Map.hxx>`

Inheritance diagram for NCollection_Map< TheKeyType >::MapNode:

[legend]

## Public Member Functions

| MapNode (const TheKeyType &theKey, NCollection_ListNode *theNext)
| Constructor with 'Next'.
const TheKeyType & | Key (void)
| Key.

### template<class TheKeyType>
class NCollection_Map< TheKeyType >::MapNode

## Constructor & Destructor Documentation

template<class TheKeyType>
NCollection_Map< TheKeyType >::MapNode::MapNode | ( | const TheKeyType & | theKey,
|  | NCollection_ListNode * | theNext
| ) | `[inline]`

## Member Function Documentation

template<class TheKeyType>
const TheKeyType& NCollection_Map< TheKeyType >::MapNode::Key | ( | void |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- NCollection_Map.hxx